package io.reactivex.disposables;

import ඓ.K.K.K.C1293;

public final class RunnableDisposable extends ReferenceDisposable<Runnable> {
    public static final long serialVersionUID = -8219729196779211169L;

    public RunnableDisposable(Runnable runnable) {
        super(runnable);
    }

    public String toString() {
        StringBuilder r0 = C1293.m3416("RunnableDisposable(disposed=");
        r0.append(isDisposed());
        r0.append(", ");
        r0.append(get());
        r0.append(")");
        return r0.toString();
    }

    public void onDisposed(Runnable runnable) {
        runnable.run();
    }
}
